﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace visibility_binding
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Person> people;
        public ObservableCollection<Person> People
        {
            get { return people; }
            set
            {
                people = value;
                NotifyPropertyChanged("People");
            }
        }


        public bool IsVisible
        {
            get
            {
                foreach (var person in People)
                {
                    if (person.Age < 18)
                    {
                        return true;
                    }

                }

                return false;
            }
        }

        public ViewModel()
        {
            People = new ObservableCollection<Person>()
            {
                new Person() {Name = "Stamat", Age = 19 },
                new Person() { Name = "Gosho" , Age = 20},
                new Person() {  Name = "Pesho", Age =20 }                
           };
           
            foreach (Person person in People)
            {
                person.PropertyChanged += Person_PropertyChanged;
            }            
             
        }


        private void Person_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            this.NotifyPropertyChanged("AreAllLocalized");
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
